#!/bin/bash

# ============LICENSE_START=======================================================
#  Copyright (C) 2021 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o errexit
set -o pipefail

# NOTE (fdegir): we need to remove $WORKSPACE and clone infra/engine repository
# as infra/engine is what drives the deployment
if [[ "$GERRIT_PROJECT" != "infra/test" ]]; then
  cd "$HOME" && /bin/rm -rf "$WORKSPACE"
  echo "Info : Cloning infra/engine repository"
  git clone -q https://gerrit.nordix.org/infra/test.git "$WORKSPACE"
  cd "$WORKSPACE"
fi

echo "Info  : Packaging test stack $STACK_TYPE"

cd "$WORKSPACE/test"
./package.sh -s "$STACK_TYPE" -b "$STACK_VERSION" -d "$DISTRO" -v

# vim: set ts=2 sw=2 expandtab:
